Update Google Browser Sync for FireFox 3

Google Browser Sync is probably one of the most useful extensions made available for FireFox. Myself, as many of my colleagues and friends utilize this extension. Here is the explanation regarding Google Browser Sync taken off of Google's page: "Google Browser Sync for Firefox is an extension that continuously synchronizes your browser settings: including bookmarks, history, persistent cookies, and saved passwords, across your computers. It also allows you to restore open tabs and windows across different machines and browser sessions." Recently, the Mozilla team has released beta revisions of FireFox 3. In addition, Ubuntu(the most popular linux desktop OS), released version 8.04 which installs FireFox 3 by default. The newer versions of FireFox 3 do not support Google Browser Sync. This leaves many people stranded and torn between using an old version of FireFox, or going without the features that they have come synonymous with the use of FireFox(with Google Browser Sync). Many people have already started to voice their opinion on this. To find the thread, please search google for: please update google browser sync I decided to start this petition with hopes that enough support can be garnered to obtain Google's attention on this matter. Please help spread the word and provide this petition's URL on any blog, article, or story you can. With some luck, perhaps we will get slashdotted, which will surely get their attention. Please Google, utilize your resources and provide to us a newer version of Google Browser Sync. This petition's URL: http://www.ipetitions.com/petition/googlebrowsersyncff3

Discussion

No comments yet.

join the discussion

Recent signatures

  • username

    Kenneth MorrisoCanada

    10 months ago
  • username

    qcxvsctwLatvia

    4 years ago
  • username

    ogigkgcgBrazil

    4 years ago
See more

Petition highlights

There are no highlights yet.